/**     diag_mon_npa_56x4.h
 **
 ** Author: Ted Schmitz
 ** Date of original creation December 16, 2008
 **
 **     This file contains all the NPA-56x4 AMC platform-dependent 
 ** definitions to support the low-level BIST diagnostics monitor and related 
 ** monitor code.  The common code definitions for the monitor cam be found in 
 ** "diag_mon.h"
 **
 **/

extern struct test_cmds test_cmds_table[];

/*  Platform dependent command test table defines */
extern void disp_seeprom(void);
extern void clear_seeprom_space(void);
extern void external_start_testing(void);
extern void set_defaults_for_this_platform(void);
extern int 
  all_def_tests_for_this_platform_are_sel(unsigned long test_select_bits);
extern void i2c_dev_detect(void);
extern void debug_write_seeprom(void);
extern void disp_h8_sensors(void);
extern void bist_menu_set_xaui_mux_mode(void);

#define SEEPROM_DES \
  "DEeprom                         Dump SEEPROM\n"

#define SEEPROM_CLR \
  "CSeeprom                        Clear diagnostic section of SEEPROM\n"

#define SDRAM_SPD_DISP \
  "DSPdata                         Dump DIMM SPD data\n"

#define PROBE_DISP_I2C \
  "Probe I2c bus                   Discover & display all devices on i2c bus\n"

#define SEEPROM_DEBUG \
  "Write SEEPROM                   Write data to SEEPROM\n"

#define DISP_SENSORS \
  "DMSensors                       Display MMC sensor readings & limits\n"

#define SET_MUX_MODE \
  "SXmode m                        Set XAUI Mux mode\n"

